org.eclipse.rdf4j.workbench.commands

## Class DeleteServlet

- java.lang.Object
- - org.eclipse.rdf4j.workbench.base.AbstractServlet
  - - org.eclipse.rdf4j.workbench.base.AbstractRepositoryServlet
    - - org.eclipse.rdf4j.workbench.base.TransformationServlet
      - - org.eclipse.rdf4j.workbench.commands.DeleteServlet

- All Implemented Interfaces:
    javax.servlet.Servlet, RepositoryServlet

      public class DeleteServlet
      extends TransformationServlet

  Servlet responsible for presenting the list of repositories, and deleting the chosen one.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.TransformationServlet

      `CONTEXT, cookies, INFO, NON_VERIFYING_PARSER_CONFIG`

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.AbstractRepositoryServlet

      `info, manager, MANAGER_PARAM, repository, REPOSITORY_PARAM, vf`

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.AbstractServlet

      `ACCEPT, appConfig, APPLICATION_JAVASCRIPT, APPLICATION_SPARQL_RESULTS_XML, APPLICATION_XML, config, DEFAULT_JSONP_CALLBACK_PARAMETER, JSONP_CALLBACK_PARAMETER, JSONP_ENABLED, JSONP_VALIDATOR, log, MOZILLA, MSIE, SERVER_PASSWORD, SERVER_USER, SERVER_USER_PASSWORD, TEXT_HTML, TEXT_PLAIN, USER_AGENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeleteServlet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doPost(WorkbenchRequest req, javax.servlet.http.HttpServletResponse resp, String xslPath)` Deletes the repository with the given ID, then redirects to the repository selection page.
    `void` | `service(TupleResultBuilder builder, String xslPath)` Presents a page where the user can choose a repository ID to delete.
    `protected void` | `service(WorkbenchRequest req, javax.servlet.http.HttpServletResponse resp, String xslPath)`

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.TransformationServlet

      `getCookieNames, init, service`

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.AbstractRepositoryServlet

      `setRepository, setRepositoryInfo, setRepositoryManager`

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.AbstractServlet

      `checkJSONP, destroy, getBooleanResultFormat, getJSONPResultFormat, getResultWriter, getServletConfig, getServletInfo, getTupleResultBuilder, getTupleResultFormat, service`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.Servlet

      `destroy, getServletConfig, getServletInfo, service`

- - ### Constructor Detail

    - #### DeleteServlet

          public DeleteServlet()

  - ### Method Detail

    - #### doPost

          protected void doPost(WorkbenchRequest req,
                                javax.servlet.http.HttpServletResponse resp,
                                String xslPath)
                         throws Exception

      Deletes the repository with the given ID, then redirects to the repository selection page. If given a "checkSafe" parameter, instead returns JSON response with safe field set to true if safe, false if not.
      Overrides:
        `doPost` in class `TransformationServlet`
      Throws:
        `Exception`

    - #### service

          protected void service(WorkbenchRequest req,
                                 javax.servlet.http.HttpServletResponse resp,
                                 String xslPath)
                          throws Exception

      Overrides:
        `service` in class `TransformationServlet`
      Throws:
        `Exception`

    - #### service

          public void service(TupleResultBuilder builder,
                              String xslPath)
                       throws RepositoryException,
                              QueryResultHandlerException

      Presents a page where the user can choose a repository ID to delete.
      Overrides:
        `service` in class `TransformationServlet`
      Throws:
        `RepositoryException`
        `QueryResultHandlerException`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.